<h1>Sign in</h1>

<form [formGroup]="creationForm">
    <mat-form-field>
        <input matInput type="email" placeholder="Email" formControlName="email"/>
    </mat-form-field>

    <mat-form-field>
        <input matInput type="password" placeholder="Mot de passe" formControlName="password"/>
    </mat-form-field>
    <mat-form-field>
        <input matInput type="password" placeholder="Confirmer mot de passe" formControlName="passwordConfirm"/>
    </mat-form-field>
    <mat-form-field>
        <input matInput type="text" placeholder="Pseudo" formControlName="pseudo"/>
    </mat-form-field>
    <div class="button-display">
        <button class="cancel-button" (click)="onCancel()" mat-button>Annuler</button>
        <button [disabled]="disabled" class="validate-button" (click)="onSubmit()" mat-button>Créer un compte</button>
    </div>

</form>